# Function ngIncludeDirective

- ngIncludeDirective(
  $templateRequest: any,
  $anchorScroll: AnchorScrollFunction,
  $animate: any,
  ): {
  controller: () => void;
  priority: number;
  restrict: string;
  terminal: boolean;
  transclude: string;
  compile(
  _element: any,
  attr: any,
  ): (
  scope: any,
  $element: any,
  _$attr: any,
  ctrl: any,
  $transclude: any,
  ) => void;
  }

  #### Parameters

  - $templateRequest: any
  - $anchorScroll: AnchorScrollFunction
  - $animate: any

  #### Returns {
  controller: () => void;
  priority: number;
  restrict: string;
  terminal: boolean;
  transclude: string;
  compile(
  _element: any,
  attr: any,
  ): (
  scope: any,
  $element: any,
  _$attr: any,
  ctrl: any,
  $transclude: any,
  ) => void;
  }

  - Defined in src/directive/include/include.js:13

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/directive/include/include.js:4